Bug 1397925

Summary: gnome-software: installing local RPM not possible
Product: [Fedora] Fedora Reporter: Daniel_Stm <dstvde>
Component: gnome-softwareAssignee: Richard Hughes <rhughes>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: chref, klember, nishantkumar05, pfrields, rhughes
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard:
Fixed In Version: gnome-software-3.22.5-1.fc25 gnome-software-3.22.5-1.fc24 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-20 17:54:36 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Daniel_Stm 2016-11-23 15:03:51 UTC
Description of problem:

Click-opening an RPM file with gnome-software yields the message box:
"Sorry, this did not work
The file is not supported."
(which could be more detailed)

When launching gnome-software in a terminal, additional information is printed:
13:41:35:0507 Gs  failed to convert to GsApp: no application was created for /home/user/Downloads/kate4-part-4.14.3-16.fc24.x86_64.rpm

I tried with different packages. First, official teamviewer packages which are not available via repository.
Next, I tried official Fedora 25 packages (picked kate) with the same result.
All packages install fine when using dnf on the command line.

Version-Release number:
gnome-software-3.22.1-1.fc25
(I suspect that the actual problem could stem from packagekit!?)

How reproducible:
always

Steps to Reproduce:
1. (optional) run in terminal: /usr/bin/gnome-software --gapplication-service
2. click-open any RPM package file.

Actual results:
Unhelpful error message

Expected results:
no error or detailed error message

Comment 1 Daniel_Stm 2016-11-23 15:38:42 UTC
I just confirmed that downgrading PackageKit solves the problem.

(I manually downloaded and installed the Fedora 24 packages: PackageKit-1.1.3-2.fc24.x86_64.rpm ./PackageKit-glib-1.1.3-2.fc24.x86_64.rpm)

Comment 2 NULLED 2016-12-01 00:05:18 UTC
I've been bitten by this problem as well.

Comment 3 NULLED 2016-12-01 00:07:49 UTC
Although "rpmlint" shows few errors with RPM package but "pkgcon install-local -y -n <path/to/rpm/file>" installs that file successfully.

Comment 4 Kalev Lember 2017-01-16 18:59:27 UTC
Thanks, should be fixed in gnome-software 3.22.5.

Comment 5 Fedora Update System 2017-01-16 19:14:57 UTC
libappstream-glib-0.6.7-2.fc24 gnome-software-3.22.5-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0c22055bfa

Comment 6 Fedora Update System 2017-01-16 19:15:02 UTC
libappstream-glib-0.6.7-2.fc25 gnome-software-3.22.5-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b43f73858a

Comment 7 Fedora Update System 2017-01-17 21:50:16 UTC
gnome-software-3.22.5-1.fc24, libappstream-glib-0.6.7-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0c22055bfa

Comment 8 Fedora Update System 2017-01-17 21:50:29 UTC
gnome-software-3.22.5-1.fc25, libappstream-glib-0.6.7-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b43f73858a

Comment 9 Fedora Update System 2017-01-20 17:54:36 UTC
gnome-software-3.22.5-1.fc25, libappstream-glib-0.6.7-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-01-21 20:20:23 UTC
gnome-software-3.22.5-1.fc24, libappstream-glib-0.6.7-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.